Ginkgo: gko::batch::solver::EnableBatchSolver< ConcreteSolver, ValueType, PolymorphicBase > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::batch::solver::EnableBatchSolver< ConcreteSolver, ValueType, PolymorphicBase > Class Template Referenceabstract

This mixin provides apply and common iterative solver functionality to all the batched solvers. More...

`#include <ginkgo/core/solver/batch_solver_base.hpp>`

Inheritance diagram for gko::batch::solver::EnableBatchSolver< ConcreteSolver, ValueType, PolymorphicBase >:
[legend]
Collaboration diagram for gko::batch::solver::EnableBatchSolver< ConcreteSolver, ValueType, PolymorphicBase >:
[legend]

## Public Types
using | real_type = remove_complex<ValueType>
Public Types inherited from gko::EnablePolymorphicAssignment< ConcreteSolver >
using | result_type

## Public Member Functions
const ConcreteSolver * | apply (ptr_param< const MultiVector< ValueType > > b, ptr_param< MultiVector< ValueType > > x) const
const ConcreteSolver * | apply (ptr_param< const MultiVector< ValueType > > alpha, ptr_param< const MultiVector< ValueType > > b, ptr_param< const MultiVector< ValueType > > beta, ptr_param< MultiVector< ValueType > > x) const
ConcreteSolver * | apply (ptr_param< const MultiVector< ValueType > > b, ptr_param< MultiVector< ValueType > > x)
ConcreteSolver * | apply (ptr_param< const MultiVector< ValueType > > alpha, ptr_param< const MultiVector< ValueType > > b, ptr_param< const MultiVector< ValueType > > beta, ptr_param< MultiVector< ValueType > > x)
Public Member Functions inherited from gko::batch::solver::BatchSolver
std::shared_ptr< const BatchLinOp > | get_system_matrix () const
| Returns the system operator (matrix) of the linear system.
std::shared_ptr< const BatchLinOp > | get_preconditioner () const
| Returns the generated preconditioner.
double | get_tolerance () const
| Get the residual tolerance used by the solver.
void | reset_tolerance (double res_tol)
| Update the residual tolerance to be used by the solver.
int | get_max_iterations () const
| Get the maximum number of iterations set on the solver.
void | reset_max_iterations (int max_iterations)
| Set the maximum number of iterations for the solver to use, independent of the factory that created it.
::gko::batch::stop::tolerance_type | get_tolerance_type () const
| Get the tolerance type.
void | reset_tolerance_type (::gko::batch::stop::tolerance_type tol_type)
| Set the type of tolerance check to use inside the solver.
Public Member Functions inherited from gko::EnablePolymorphicAssignment< ConcreteSolver >
void | convert_to (result_type *result) const override
void | move_to (result_type *result) override

## Detailed Description

template<typename ConcreteSolver, typename ValueType, typename PolymorphicBase = BatchLinOp>
class gko::batch::solver::EnableBatchSolver< ConcreteSolver, ValueType, PolymorphicBase >

This mixin provides apply and common iterative solver functionality to all the batched solvers.

Template Parameters

  ConcreteSolver | The concrete solver class.
  ValueType | The value type of the multivectors.
  PolymorphicBase | The base class; must be a subclass of BatchLinOp.

The documentation for this class was generated from the following file:

- ginkgo/core/solver/batch_solver_base.hpp